RK-J - Feature #3336

Support for exclusions for copilot url
11/22/2023 02:41 AM - Ram Kordale

Status: Closed Start date: 11/22/2023
Priority: Urgent Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 1.00 hour
Description

Today, the user can add "<regex>" to list of regexes and if these regexes are present in the requested o-url, showCopilot is returned
as true in the API response.

Please add support for user to add "-<regex>" to the list. In this case, if this regex is present in the requested o-url, showCopilot
should be returned as false in the API response.

So, example could be ["*007*", "-/", "-/pricing", "-/about", "-/contact", "-/blog*", "-/*badminton*"]. In this case, showCopilot would be
returned as false for

-fqdnp/

-fgdnp/pricing

-fgdnp/about

-fgdnp/contact

-fgdnp/blog

-fqdnp/blog123

-fqdnp/top-5-best-badminton-racket-under-1500-playos-ultimate-guide/

-fgdnp/classes/objects/blog123

but true for
-fgdnp/classes/what007/modules
-fqdnp/blog007
-fgdnp/blog-what-is-ai-007

*N "k *N

[Note : if both "-<regex>" and "*<regex>
based on the "*<regex>*" condition.]

are present in the URL, and we can prioritize "*<regex>*" over "-<regex>" and return true

*1

where fqdnp is meant to be http://domainName or https://domainName.

History

#1 - 11/22/2023 02:42 AM - Ram Kordale

- Priority changed from Immediate to Urgent

#2 - 11/22/2023 04:16 AM - Ram Kordale

- Description updated

#3 - 11/22/2023 04:18 AM - Venmuhilan B
- Assignee set to Md Shahzar
- Estimated time set to 1.00 h

#4 - 11/22/2023 05:14 AM - Md Shahzar

- Status changed from New to In Progress

#5 - 11/22/2023 05:50 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#6 - 11/22/2023 05:50 AM - Md Shahzar

- Status changed from Resolved to Review
http://domainName
https://domainName

- Assignee changed from Md Shahzar to Abhijata Sen

#7 - 11/22/2023 08:34 AM - Md Shahzar

- Assignee changed from Abhijata Sen to Venmuhilan B

#8 - 11/22/2023 11:03 AM - Ram Kordale
- Description updated

#9 - 11/22/2023 11:34 AM - Ram Kordale
- Description updated

#10 - 11/22/2023 11:39 AM - Venmuhilan B
- Description updated
- Status changed from Review to Reopened

- Assignee changed from Venmuhilan B to Md Shahzar

#11 - 11/22/2023 11:40 AM - Venmuhilan B

- Description updated

#12 - 11/22/2023 11:41 AM - Venmuhilan B

- Description updated

#13 - 11/22/2023 11:41 AM - Venmuhilan B

- Description updated

#14 - 11/22/2023 12:16 PM - Md Shahzar

- Status changed from Reopened to In Progress

#15 - 11/22/2023 12:46 PM - Venmuhilan B

- Description updated

#16 - 11/22/2023 02:05 PM - Md Shahzar

- Status changed from In Progress to Resolved

#17 - 11/22/2023 02:06 PM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#18 - 11/23/2023 05:22 AM - Venmuhilan B
- Description updated
- Status changed from Review to Reopened

- Assignee changed from Venmuhilan B to Md Shahzar

#19 - 11/23/2023 05:22 AM - Venmuhilan B

- Description updated

#20 - 11/23/2023 05:39 AM - Md Shahzar

- Status changed from Reopened to In Progress

#21 - 11/23/2023 06:06 AM - Md Shahzar

- Status changed from In Progress to Resolved

#22 - 11/23/2023 06:06 AM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

03/25/2025

2/3



#23 - 11/23/2023 06:37 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#24 - 11/23/2023 10:21 AM - Venmuhilan B
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#25 - 11/23/2023 10:35 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ram Kordale

#26 - 01/05/2024 02:55 AM - Ram Kordale
- Status changed from Feedback to Closed
